#!/bin/sh

GLEST_LOCAL_DIR=$HOME/.glest
GLEST_DATA_DIR=/usr/share/games/glest
GLEST_EXECUTABLE=/usr/games/glest.bin

glxinfo | grep -e "OpenGL vendor string: NVIDIA" \
               -e "OpenGL vendor string: ATI" &> /dev/null
if [ $? -ne 0 -a ! -f $GLEST_LOCAL_DIR/ignore_warning ]; then
  xmessage -buttons Exit:0,Continue:1,Ignore\ forever:2 \
           -default Exit \
           -center \
           -file $GLEST_DATA_DIR/info \
           -print
  result=$?

  case $result in
    0)
      exit 1;
      ;;
    1)
      ;;
    2) 
      test -d $GLEST_LOCAL_DIR || mkdir $GLEST_LOCAL_DIR
      touch $GLEST_LOCAL_DIR/ignore_warning
      ;;
    *)
      ;;
  esac
fi

mkdir -p $GLEST_LOCAL_DIR
cd $GLEST_LOCAL_DIR
ln -snf $GLEST_DATA_DIR/techs
ln -snf $GLEST_DATA_DIR/scenarios
ln -snf $GLEST_DATA_DIR/data
ln -snf $GLEST_DATA_DIR/maps
ln -snf $GLEST_DATA_DIR/screens
ln -snf $GLEST_DATA_DIR/tilesets
ln -snf $GLEST_DATA_DIR/tutorials
if [ ! -e glest.ini ]; then
  X=$(xdpyinfo|grep "dimensions:"|awk '{print $2}'|cut -d "x" -f 1)
  Y=$(xdpyinfo|grep "dimensions:"|awk '{print $2}'|cut -d "x" -f 2)
  sed -e s/ScreenWidth=.*/ScreenWidth=$X/g \
      -e s/ScreenHeight=.*/ScreenHeight=$Y/g \
      $GLEST_DATA_DIR/glest.ini > glest.ini
      $GLEST_DATA_DIR/servers.ini > servers.ini
else
  # convert configuration from glest 1.1 to glest 1.2
  grep -q -e ChangeDisplay -e PathFindLevelsMax glest.ini
  if [ $? -eq 0 ]; then
    sed -e s/ChangeDisplay=1/Windowed=0/g \
        -e s/ChangeDisplay=0/Windowed=1/g \
        -e s/PathFindLevelsMax/PathFindNodesMax/g \
        -i glest.ini
  fi
fi
exec $GLEST_EXECUTABLE ${1+"$@"}
